Bug 493109 - (CVE-2009-1171) CVE-2009-1171 moodle: file disclosure flaw in TeX filter
CVE-2009-1171 moodle: file disclosure flaw in TeX filter
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 12:48 EDT by Tomas Hoger
Modified: 2009-06-16 03:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-16 03:09:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2009-03-31 12:48:02 EDT
CVE-2009-1171:
The TeX filter in Moodle 1.6 before 1.6.9+, 1.7 before 1.7.7+, 1.8
before 1.8.9, and 1.9 before 1.9.5 allows user-assisted attackers to
read arbitrary files via an input command in a "$$" sequence, which
causes LaTeX to include the contents of the file. 

Upstream bug and CVS commit:
http://tracker.moodle.org/browse/MDL-18552
http://cvs.moodle.org/moodle/filter/tex/filter.php?r1=1.18.4.4&r2=1.18.4.5

References:
http://www.securityfocus.com/archive/1/archive/1/502231/100/0/threaded
http://www.securityfocus.com/bid/34278
http://www.milw0rm.com/exploits/8297
Comment 1 Tomas Hoger 2009-03-31 12:49:43 EDT
Jon, I have not checked if we may be disabling TeX filter by default, but we do not ship mimetex, so we should be using system LaTex.
Comment 2 Tomas Hoger 2009-04-01 02:54:42 EDT
Upstream further reported that the above patch is not sufficient and following change should be used instead:

For >=1.9.0:
http://git.catalyst.net.nz/gw?p=moodle-r2.git;a=commitdiff;h=b950f126018a9e16a298d278375a0eedf791e5dd

For 1.6.* - 1.8.*:
http://git.catalyst.net.nz/gw?p=moodle-r2.git;a=commitdiff;h=cc9bf1486e7ea9e8cda1e4522b96e07245459a0d
Comment 3 Gwyn Ciesla 2009-04-01 10:39:06 EDT
I'm having trouble applying this.  It looks like this patch might be applied after the previous one.  Should I apply both in order or drop the portions affecting the previous patch?
Comment 4 Tomas Hoger 2009-04-01 10:58:32 EDT
CVS commit referenced in comment #0 introduced blacklist in filter.php.  Git commit in comment #2 reverts that previous commit and moves blacklist to lib.php instead.  Same change is in upstream CVS too, but it's just bit more annoying to refer to single commit changing multiple files in CVS.
Comment 5 Fedora Update System 2009-04-01 16:14:51 EDT
moodle-1.9.4-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/moodle-1.9.4-6.fc9
Comment 6 Fedora Update System 2009-04-01 16:14:56 EDT
moodle-1.9.4-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/moodle-1.9.4-6.fc10
Comment 7 Fedora Update System 2009-04-02 13:21:27 EDT
moodle-1.9.4-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-04-02 13:21:39 EDT
moodle-1.9.4-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Gwyn Ciesla 2009-04-03 08:07:11 EDT
Built for EPEL, epel_signers-members emaild to request push ASAP.

Note You need to log in before you can comment on or make changes to this bug.